This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 820145

Summary: eclipse-platform: Bundled library
Product: [Fedora] Fedora Reporter: Mikolaj Izdebski <mizdebsk>
Component: eclipseAssignee: Krzysztof Daniel <kdaniel>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: akurtako, andjrobins, jerboaa, kdaniel, mbenitez, overholt, rgrunber, swagiaal
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://bugs.eclipse.org/bugs/show_bug.cgi?id=175116
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-13 07:34:50 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 504493    

Description Mikolaj Izdebski 2012-05-09 05:28:38 EDT
eclipse-platform is bundling lucene-demo, an external library.

According to Fedora Java Packaging Guidelines this is unacceptable. See:
https://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software

Please remove this library from packaging and add it as external dependency.


The external library is bundled in the following jar:
./usr/lib64/eclipse/plugins/org.eclipse.help.base_3.6.100.v20120402-2029.jar

$ cat /mnt/globalsync/fedora/linux/development/rawhide/x86_64/os/Packages/e/eclipse-platform-4.2.0-0.20.I201205031800.fc18.x86_64.rpm | rpm2cpio | cpio -id
78457 blocks

$ grep -r lucene.demo .
Binary file ./usr/lib64/eclipse/plugins/org.eclipse.help.base_3.6.100.v20120402-2029.jar matches

$ jar tf ./usr/lib64/eclipse/plugins/org.eclipse.help.base_3.6.100.v20120402-2029.jar | grep lucene
org/apache/lucene/
org/apache/lucene/demo/
org/apache/lucene/demo/html/
org/apache/lucene/demo/html/Entities.class
org/apache/lucene/demo/html/HTMLParser$JJCalls.class
org/apache/lucene/demo/html/HTMLParser$LookaheadSuccess.class
org/apache/lucene/demo/html/HTMLParser.class
org/apache/lucene/demo/html/HTMLParser.jj
org/apache/lucene/demo/html/HTMLParserConstants.class
org/apache/lucene/demo/html/HTMLParserTokenManager.class
org/apache/lucene/demo/html/ParseException.class
org/apache/lucene/demo/html/SimpleCharStream.class
org/apache/lucene/demo/html/Tags.class
org/apache/lucene/demo/html/Token.class
org/apache/lucene/demo/html/TokenMgrError.class
Comment 1 Krzysztof Daniel 2012-05-10 03:15:05 EDT
The library is not bundled. Eclipse keeps a customized copy of sources (see eclipse bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=175116 comment 5). Eclipse contributed some patches to lucene-demo, which were eventually inlcuded into lucene 3.1+ (not in Fedora or Eclipse). The library should be seen as a lucene-deriverative work in eclipse-plugin, not as a bundled library.

I'll try, however, to build lucene 2.9 with required patches, and then, rebuild Eclipse with that lucene.
Comment 2 Krzysztof Daniel 2012-05-10 04:00:33 EDT
Patches did not applied for lucene 2.9. Having in mind that Eclipse right now ships lucene-demo deriverative work,  I will continue working on this in f18, when Eclipse will ship to lucene 3+, and it will be possible to get rid off custom lucene-demo from eclipse help.
Comment 3 Krzysztof Daniel 2013-03-13 07:34:50 EDT
Existing code in Eclipse is patched, and should be actually considered as a custom implementation of HTML parser, which has no counterpart in the existing lucene core, depspite having a very similar name,